Loading...
Searching...
No Matches
irr::scene::SMD3QuaternionTag Struct Reference

hold a tag info for connecting meshes More...

`#include <IAnimatedMeshMD3.h>`

## Public Member Functions

| SMD3QuaternionTag (const core::stringc &name)
| SMD3QuaternionTag (const core::vector3df &pos, const core::vector3df &angle)
| SMD3QuaternionTag (const SMD3QuaternionTag &copyMe)
virtual | ~SMD3QuaternionTag ()
SMD3QuaternionTag & | operator= (const SMD3QuaternionTag &copyMe)
bool | operator== (const SMD3QuaternionTag &other) const
void | setto (core::matrix4 &m)

## Public Attributes

core::stringc | Name
core::vector3df | position
core::quaternion | rotation

## Detailed Description

hold a tag info for connecting meshes

Basically its an alternate way to describe a transformation.

Definition at line 152 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

## ~SMD3QuaternionTag()

virtual irr::scene::SMD3QuaternionTag::~SMD3QuaternionTag | ( |  | ) |

inline virtual

Definition at line 154 of file IAnimatedMeshMD3.h.

References position.

## SMD3QuaternionTag() [1/3]

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const SMD3QuaternionTag & | copyMe | ) |

inline

Definition at line 160 of file IAnimatedMeshMD3.h.

References SMD3QuaternionTag().

Referenced by SMD3QuaternionTag(), operator=(), and operator==().

## SMD3QuaternionTag() [2/3]

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::stringc & | name | ) |

inline

Definition at line 166 of file IAnimatedMeshMD3.h.

References Name.

## SMD3QuaternionTag() [3/3]

irr::scene::SMD3QuaternionTag::SMD3QuaternionTag | ( | const core::vector3df & | pos,
|  | const core::vector3df & | angle )

inline

Definition at line 170 of file IAnimatedMeshMD3.h.

References position, and rotation.

## Member Function Documentation

## operator=()

SMD3QuaternionTag & irr::scene::SMD3QuaternionTag::operator= | ( | const SMD3QuaternionTag & | copyMe | ) |

inline

Definition at line 184 of file IAnimatedMeshMD3.h.

References SMD3QuaternionTag(), Name, position, and rotation.

## operator==()

bool irr::scene::SMD3QuaternionTag::operator== | ( | const SMD3QuaternionTag & | other | ) | const

inline

Definition at line 179 of file IAnimatedMeshMD3.h.

References SMD3QuaternionTag(), and Name.

## setto()

void irr::scene::SMD3QuaternionTag::setto | ( | core::matrix4 & | m | ) |

inline

Definition at line 174 of file IAnimatedMeshMD3.h.

References position, and rotation.

## Member Data Documentation

## Name

core::stringc irr::scene::SMD3QuaternionTag::Name

Definition at line 192 of file IAnimatedMeshMD3.h.

Referenced by SMD3QuaternionTag(), operator=(), and operator==().

## position

core::vector3df irr::scene::SMD3QuaternionTag::position

Definition at line 193 of file IAnimatedMeshMD3.h.

Referenced by SMD3QuaternionTag(), ~SMD3QuaternionTag(), operator=(), and setto().

## rotation

core::quaternion irr::scene::SMD3QuaternionTag::rotation

Definition at line 194 of file IAnimatedMeshMD3.h.

Referenced by SMD3QuaternionTag(), operator=(), and setto().

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0